apiVersion: networking.k8s.io/v1
kind: Ingress
metadata:
  name: nginxsvc-ingress
  annotations:
      nginx.ingress.kubernetes.io/rewrite-target: /$1
spec:
  rules:
  - host: nginxsvc.info
    http:
      paths:
      - path: /
        pathType: Prefix
        backend:
          service: 
            name: nginxsvc
            port: 
              number: 80
      - path: /hello
        pathType: Prefix
        backend:
          service:
            name: newdep
            port:
              number: 8080
